Subject: bug#27645: MacOS: run GUI Emacs without 'make install'

From: "Charles A. Roelli" <[email-masked]>
Date: Thu, 20 Jul 2017 20:58:06 +0200

I'll push this in a few days if there's no further changes to make.

On 15/07/2017 16:58, Charles A. Roelli wrote:
> On 12/07/2017 20:52, Alan Third wrote:
>
>> On Mon, Jul 10, 2017 at 09:12:14PM +0200, Charles A. Roelli wrote:
>>> The patch is attached.
>> I haven’t had a chance to test this, but it looks good, thanks for
>> working on it.
>>
>>>   In the top-level directory, use:
>>>   -  ./configure --with-ns
>>> +  make
>>>   -(On macOS, --with-ns is enabled by default.)
>>> +This will compile all the files.
>> I understand that running make also runs configure, but I think it’s
>> worth leaving configure and the stuff about --with-ns in there. If you
>> try to build the NS port on anything other than macOS then you really
>> need to know about --with-ns.
>
> Thanks, I've put it back.
>
>>
>>> -This will compile all the files, but emacs will not be able to be 
>>> run except
>>> -in -nw (terminal) mode.
>>> +In order to run Emacs, you must run:
>>>   -In order to run Emacs.app, you must run:
>>> +  src/emacs
>>> +
>>> +In order to install Emacs, you must run:
>>>       make install
>> I read this as it’s going to install Emacs somewhere on my PC, it
>> should probably be something like: ‘To build Emacs.app ...’.
>>
>
> It may install it (with --disable-ns-self-contained).  I've clarified 
> this (hopefully).
>
> I've also placed the nsterm.m change inside #ifdef NS_IMPL_COCOA, 
> since the
> activationPolicy doesn't seem to exist on GNUstep.
>
> See the updated patch again.